using TMPro;

public class OneDiceRollController : TableRowController {
    private string _identifier;

    public TMP_Text nameLabel;
    public TMP_Text d6Label;
    public TMP_Text d10Label;

    // Start is called before the first frame update
    void Start() {}

    // Update is called once per frame
    void Update() {}

    public void SetUp(string identifier, string deviceName) {
        _identifier = identifier;

        nameLabel.text = deviceName;
        d6Label.text = "?";
        d10Label.text = "?";
    }

    public void SetRoll(string identifier, string d6, string d10) {
        _identifier = identifier;

        d6Label.text = d6;
        d10Label.text = d10;
    }

    public string GetIdentifier() { return _identifier; }
}
